Автор Тема: PHP версия и Prestashop  (Прочитано 40 раз)

17 Январь 2020, 13:20:36
  • Пользователь
  • **
  • Сообщений: 63
  • Репутация: +0/-0
  • Сообщество PrestaShop
    • Просмотр профиля
Здравствуйте,

может ли быть такое что сайт не поддерживает PHP версию?

У меня есть два сайта, один в порядке, его PHP версия 5.6.20, хоть в админке и выскакивает сообшение о том что надо менять
Цитировать
Цитировать
(The PHP version your shop is running on is insecure. It reached its end-of-life, which means it won't get security updates anymore and projects will stop supporting it.)
, но все хорошо, сайт работает.
Другой сайт перестал работать, его PHP версия 7.2.26, но если меняю на ниже, тоже не работает. эти версии я смотрю через www.domen.ru/info.php, если смотреть через phpMyadmin, то там другая информация. Сразу извиняюсь за некомпетентность в данных вопросах..

Но в кратце объясню ситауцию, после которой сайт перестал работать: была попытка добавить нового курьера на сайте, но выбило ошибку. На обоих сайтах было это произведено, но перестал работать только один, ошибку выбило на обоих.
17 Январь 2020, 13:26:38
Ответ #1
  • Ветеран
  • *****
  • Сообщений: 1562
  • Репутация: +44/-1
  • Сообщество PrestaShop
    • Просмотр профиля
Для prestashop 1.6 php 5.6
Для prestashop 1.7 php 7.0 или 7.3
PHP 7.2 не подходит.
17 Январь 2020, 13:38:11
Ответ #2
  • Пользователь
  • **
  • Сообщений: 63
  • Репутация: +0/-0
  • Сообщество PrestaShop
    • Просмотр профиля
Для prestashop 1.6 php 5.6
Для prestashop 1.7 php 7.0 или 7.3
PHP 7.2 не подходит.

Спасибо, на обоих сайтах Prestashop 1.6. А может быть такое, что хостинг не поддерживает php версию 5.6?
17 Январь 2020, 13:53:09
Ответ #3
  • Ветеран
  • *****
  • Сообщений: 1562
  • Репутация: +44/-1
  • Сообщество PrestaShop
    • Просмотр профиля
Может, многие хостеры отказываются от поддержки старых версий.